Subject: New versions of the APPN, DLUR, and HPR MIBs

From: "R.E. (Robert) Moore (254-4436)" <[email-masked]>
Date: Fri, 18 Oct 96 07:18:54 EDT

I've put the following new files into the /appn/mibs directory on the
AIW's file server:

   - draft-ietf-snanau-appnmib-02.txt
   - APPN-DLUR-MIB-03.txt
   - HPR-MIB-05.txt

The APPN MIB has been updated in response to Randy Presuhn's NM Area
review comments.  The DLUR and HPR MIBs have been updated in response
to the comments Randy *would* have made against them when he reviews
them (but now won't have to!).

In addition to incorporating Randy's comments, the APPN MIB now
reflects a few technical changes that I advertised earlier on these
mailing lists.

Summary of changes (not exhaustive):

   In response to Randy's comments:

     - Give MIBs real anchor points (under snanauMIB)
     - Change Integer32 to Unsigned32 (in most cases)
     - Clarify character sets, SNA name formats, etc.
     - Add counter discontinuity indicators.  This is by far the most
       sweeping change.  I added three of these objects to the APPN
       MIB and two to the HPR MIB.  Dave Chen and I have both voiced
       our reservations about whether these objects are actually
       implementable.  For this pass I've just tried to add to the
       MIBs the objects that Randy / RFC 1902 require.  When we've
       (tried to) implement these objects, we'll have some concrete
       experiences to take back to the NM Area.
     - Fix the description of appnIsInSessState to match the syntax.
     - Add a notification group for the Alert trap.
     - Lots of editorial changes, to both the front matter and the
       MIB modules.

   Other changes:

     - Change appnPortAdminState to appnPortCommand (add recycle command)
     - Change appnLsAdminState to appnLsCommand  (add recycle command)
     - Update three descriptions for CP-CP session status objects
       (reference:  item 008419)
     - Update appnIsIn*sAdjCpName and appnIsIn*sAdjTgNum objects to
       cover the case of a session stage that uses an RTP connection

I didn't get a chance to update the SNA NAU MIB in response to Randy's
APPN MIB comments.

We have four hours on the AIW 12 agenda, to discuss both these updates
and the new EBN MIB that Katie will be distributing next week.  With our
AIW hats on, I guess we'll be looking for "CP-as-amended" on the APPN and
HPR MIBs, since objects were added to both of them.  (I think that the
DLUR MIB slipped through with only editorial changes.)  In our IETF role,
we'll be looking for WG consensus on these same MIBs.  As usual, we'll
need to spend a little of our agenda time discussing how to proceed from
here - e.g., which MIB do we want to give to Randy next?

It always helps if you can distribute any review comments to the mailing
lists before our actual meeting, but if you can't, just bring them to
AIW 12.

Bob Moore